/*
  Target: AVR-ATMega16
  Compiler: AVRGcc
*/




#include <avr/io.h>
#include <avr/pgmspace.h>
#include <avr/eeprom.h>
#include <util/delay.h>
#include <nokia6100.h>
#include <music.h>
#include <usart.h>
#include "score.c"
#include "inputs.c"

#include "tetris.c"
#include "space.c"

int main (void)
{
	PORTA=0xFF;
	PORTB=0xFF;
	PORTC=0xFF;
	PORTD=0xFC;
	waitms(1000);
	usart_init();
	glcd_init();
	clearLCD(0xFF);
	drawImagen(6,6);
	music_init();
	play_bgm(frog,150);
	
	do
		read_input();
	while((input & BOTON_D) && (input & BOTON_I));
	
	if (!(input & BOTON_I))
		Space();
	else
		Tetris();
}

