#include <avr/io.h>
#include <avr/pgmspace.h>
#include <usart.h>


void usart_init(void)
{
	UBRRH = 0;
	UBRRL = F_CPU/(8*BAUD) -1 ;
	UCSRA = (1<<U2X);//double speed
	/* Enable receiver and transmitter */
	UCSRB = (1<<RXEN)|(1<<TXEN);
	/* Set frame format: 8data, 1stop bit */
	UCSRC = (1<<URSEL)|(3<<UCSZ0);	
}

void putc(unsigned char data)
{
	/* Wait for empty transmit buffer */
	while ( !( UCSRA & (1<<UDRE))) 
	;
	/* Put data into buffer, sends the data */
	UDR = data;
}

unsigned char getc( void)
{
	/* Wait for data to be received */
	while ( !(UCSRA & (1<<RXC)) )
	;
	/* Get and return received data from buffer */
	return UDR;
}



